    /* -- */

    .primal-popup {
        position: fixed;
        inset: 0;
        display: none;
        justify-content: center;
        align-items: center;
        z-index: 9999;
        padding: 20px;
    }

    .primal-popup h3, .primal-popup h2, .primal-popup p, .primal-popup span{
        font-family: "Open sans";
        letter-spacing: normal;
    }

    .primal-popup.active {
    display: flex;
    }

    .popup-overlay {
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.6);
        backdrop-filter: blur(3px);
    }

    .popup-content {
        position: relative;
        background: white;
        border-radius: 20px;
        max-width: 800px;
        width: 100%;
        overflow: hidden;
        animation: popupFadeIn 0.3s ease;
        z-index: 10000;
    }

    
    .popup-content .container-fluid{
        padding: 20px 0;
    }

    .primal-popup .flex-row {
        display: flex;
        flex-wrap: wrap; /* allows wrapping on smaller screens */
        align-items: center;
        gap:10px;
    }

    .primal-popup .popup-image-holder {
        flex: 1 1 45%;   /* each child gets 50% width */
        max-width: 45%;
        box-sizing: border-box;
    }

    .primal-popup .popup-text-body{
        max-width: 50%;
    }

    @keyframes popupFadeIn {
    from {
        transform: scale(0.95);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
    }

    .close-popup {
        position: absolute;
        top: 10px;
        right: 15px;
        background: transparent;
        border: none;
        font-size: 2rem;
        color: #333;
        cursor: pointer;
        line-height: 1;
        width: fit-content;
    }

    .popup-link {
        display: block;
        background: #EBBF11;
        padding: 20px 40px;
        color: #000;
        text-transform: uppercase;
        border-radius: 40px;
        font-size: 18px;
        letter-spacing: 1px;
        font-weight: 800;
        transition: 0.2s box-shadow linear;
        width: fit-content;
        text-align: center;
        text-decoration:none;
        font-family: montserrat, sans-serif;
        text-decoration: none;
        outline: 0;
        border: 0;
        cursor:pointer;
        box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.3), 0 2px 4px -1px rgba(0, 0, 0, 0.2);
    }

    .popup-link:hover {
        box-shadow: 0 0 20px #EBBF11CC;
        color: #000;
    }

    .popup-link-img{
        padding:0;
        background:unset;
        -webkit-animation: customPulsePopup 2s infinite ease-in-out;
        animation: customPulsePopup 2s infinite ease-in-out;
        margin-bottom: 0 !important;
        margin-left:30px;
    }

    .popup-buttons{
        display: flex;
        width: 100%;
        justify-content: center;
        gap: 10px;
    }

    .popup-btn-custom-text {
        font-weight: bold;
    }

    .popup-text-body{
        text-align:center;
        margin: auto;
        padding: 5px 15px 5px 5px;
    }

    .popup-text-body > *{
        margin:20px 0;
        color:#272727;
    }

    .popup-text-body > #email-spinner{
        margin-left:auto;
        margin-right:auto;
    }

    .popup-text-body h2{
        font-size:32px;
        color: #272727; 
        line-height: 1.3;
        
    }

    .popup-text-body h3{
        font-size: 21px;
        color: #272727; 
        line-height: 1.2;
    }

        

    .popup-text-body .email-label{
        font-size: 14px;
        color:#272727;
        margin-bottom:10px;
    }

    .popup-image-holder {
        flex-shrink: 1;
        flex-grow: 0;
        flex-basis: auto;
    }


    .strikethrough{
        text-decoration: line-through;
    }
	
	#email{
        width: 100%;
        outline: none;
        padding: 5px;
        margin: 0 0 0;
    }

    .email-holder{
        background:white;
        max-width:300px;
        width:100%;
        box-sizing: content-box;
        padding:10px;
        display: flex;
        border:2px solid #e2b813;
    }

    .email-icon{
        display: flex;
        width:25px;
    }

    .email-icon svg{
        width:100%;
    }

    .email-holder #email{
        border:none;
    }

    .email-label{
        text-align: left;
        margin: 10px 0 0;
    }

    .email-arrow-holder{
        display:flex;
        align-items: end;   
        gap:10px;
    }

    .email-arrow{
        max-width:30px;
        padding-bottom: 15px;
    }

    .email-arrow img{
        width:100%;
    }

    .spinner {
		margin: 100px auto;
		width: 40px;
		height: 40px;
		position: relative;
		text-align: center;
		-webkit-animation: sk-rotate 2s infinite linear;
		animation: sk-rotate 2s infinite linear;
	}

	.spinner2 {
		margin: 20px auto;
	}

	.spinner .dot1, .spinner .dot2 {
		background-color: #0063d2;
		width: 60%;
		height: 60%;
		display: inline-block;
		position: absolute;
		top: 0;
		border-radius: 100%;
		-webkit-animation: sk-bounce 2s infinite ease-in-out;
		animation: sk-bounce 2s infinite ease-in-out;
	}

	.spinner .dot2 {
		top: auto;
		bottom: 0;
		-webkit-animation-delay: -1s;
		animation-delay: -1s;
	}
	
	#email-spinner{
		display:none;
	}

    #ontra-form-2{
        display:none;
    }

    .unbreaking-space{
        white-space:nowrap;
    }

    @media(max-width:800px){
        .primal-popup .flex-row{
			flex-direction: column;
            gap:0;
		}

         .primal-popup h2{
			margin-top:0;
		}

        .primal-popup .popup-text-body{
            max-width: unset;
            padding:0 40px;
        }

    }

    @media(max-width:600px){
        .primal-popup .popup-image-holder{
            flex: unset;
            max-width: unset;
        }

        .primal-popup .popup-image-holder{
            flex: unset;
            max-width: 300px;
        }
    }

    @media(max-width:500px){
         .primal-popup h2{
			font-size: 24px;
		}

        .primal-popup a{
            font-size: 14px;
        }

        .popup-link{
            padding: 15px 30px;
        }

        .primal-popup .popup-image-holder{
            flex: unset;
            max-width: 250px;
        }


        .popup-buttons{
            margin-top:15px;
            margin-bottom:10px
        }

         .primal-popup h2{
			margin-bottom: 0;
		}

    }

     @media(max-width:365px){
        .unbreaking-space{
           white-space:unset;
        }

        .popup-buttons{
            flex-direction: column;
            align-items: center;
        }

        .popup-buttons > a{
            width: 100%;
        }

        .popup-buttons{
            margin-top:10px
        }

         .primal-popup h2{
			margin-bottom: 10px;
		}
        
    }

	@keyframes sk-rotate {
		100% {
			transform: rotate(360deg);
			-webkit-transform: rotate(360deg);
		}
	}

	@keyframes sk-bounce {
		0%,
		100% {
			transform: scale(0);
			-webkit-transform: scale(0);
		}
		50% {
			transform: scale(1);
			-webkit-transform: scale(1);
		}
	}

    @keyframes customPulsePopup {
        0% {
            filter: drop-shadow(0 0 0px rgba(235, 191, 17, 0));
        }
        50% {
            filter: drop-shadow(0 0 10px rgba(235, 191, 17, 0.9));
        }
        100% {
            filter: drop-shadow(0 0 0px rgba(235, 191, 17, 0));
        }
    }

    @-webkit-keyframes customPulsePopup {
        0% {
            filter: drop-shadow(0 0 0px rgba(235, 191, 17, 0));
        }
        50% {
            filter: drop-shadow(0 0 10px rgba(235, 191, 17, 0.9));
        }
        100% {
            filter: drop-shadow(0 0 0px rgba(235, 191, 17, 0));
        }
    }

